image: python:3.8

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  paths:
    - .venv
  key: "${CI_COMMIT_REF_SLUG}"

before_script:
  - python -V  # Print out python version for debugging
  - pip install poetry
  - poetry config virtualenvs.in-project true
  - poetry install

lint:
  script:
    - poetry run black listen_zombie tests --check
    - poetry run isort --recursive --check-only listen_zombie tests
    - poetry run flake8 listen_zombie tests

typecheck:
  script:
    - poetry run mypy listen_zombie

test:
  script:
    - poetry run pytest

